function J=Jac(fname,X);
%m-file to calculate the Jacobian of fname function, numerically.
n=length(X);
F=feval(fname,X);
delta=1e-6;
J=[];
for i=1:n
   X(i)=X(i)+delta;
   F1=feval(fname,X);
   J1=(F1-F)/delta;
   X(i)=X(i)-delta;
   J=[J, J1];
end