clear all
ti=0;
Vi=200;
NAi=1544;
NBi=0;
NCi=0;
NDi=0;
tf=5000;
NA0=200*7.72;
Xi=[Vi; NAi; NBi; NCi; NDi; NAi; NBi; NCi; NDi]';
[t,X]=ode45('p805af',[ti tf],Xi);
xA=(NA0-X(:,2))/NA0;
xAe=(NA0-X(:,6))/NA0;
plot(t,xA,t,xAe,'--');
xlabel('time(s)'); ylabel('Conversion of Ethyl Acetate');
axis([ti,tf,0,0.7]);
