function dXdt=p805af(t,X)
dXdt=zeros(9,1);
k=9e-5;
ke=100*k;
Ke=1.08;
CB0=10.93;
if(t<=4000)
   v0=0.05;
else
   v0=0;
end
CA=X(2)/X(1);
CB=X(3)/X(1);
CC=X(4)/X(1);
CD=X(5)/X(1);
CAe=X(6)/X(1);
CBe=X(7)/X(1);
CCe=X(8)/X(1);
CDe=X(9)/X(1);
rA=-k*(CA*CB-CC*CD/Ke);
rAe=-ke*(CAe*CBe-CCe*CDe/Ke);
dXdt(1)=v0;
dXdt(2)=rA*X(1);
dXdt(3)=rA*X(1)+v0*CB0;
dXdt(4)=-rA*X(1);
dXdt(5)=-rA*X(1);
dXdt(6)=rAe*X(1);
dXdt(7)=rAe*X(1)+v0*CB0;
dXdt(8)=-rAe*X(1);
dXdt(9)=-rAe*X(1);
return